# Discrete2DFunction Class Reference

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y). More...

Inheritance diagram for Discrete2DFunction:

List of all members.

## Public Member Functions

def | __init__
| __init__(self, int xsize, int ysize, vectord values) -> Discrete2DFunction
def | getFunctionParameters
| getFunctionParameters(self)
def | setFunctionParameters
| setFunctionParameters(self, int xsize, int ysize, vectord values)
def | Copy
| Copy(self) -> Discrete2DFunction.
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y).

To evaluate it, x and y are each rounded to the nearest integer and the table element with those indices is returned. If either index is outside the range [0, size), the result is undefined.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from TabulatedFunction.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, int xsize, int ysize, vectord values) -> Discrete2DFunction

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y). To evaluate it, x and y are each rounded to the nearest integer and the table element with those indices is returned. If either index is outside the range [0, size), the result is undefined.

def Copy | ( |  | self | ) |

Copy(self) -> Discrete2DFunction.

Reimplemented from TabulatedFunction.

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(self)

def setFunctionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setFunctionParameters(self, int xsize, int ysize, vectord values)

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py